# class toConnectionSub | This class is an abstract definition of an actual connection to a database. More...
Definition | `#include <toconnection.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toConnectionSub ()
- virtual ~toConnectionSub ()
- virtual void cancel (void)

## Detailed Description

This class is an abstract definition of an actual connection to a database. Each toConnection object can have one or more actual connections to the database depending on long running queries. Normally you will never need to bother with this class if you aren't creating a new database provider (toConnectionProvider).

toConnectionSub () | ### toConnectionSub

Create connection to database.

~toConnectionSub () | ### ~toConnectionSub

[virtual]

Close connection.

void cancel (void) | ### cancel

[virtual]

Cancel anything running on this sub.